summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/create_xml9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/create_xml b/scripts/create_xml
index 656ca1444..5a4ce3721 100755
--- a/scripts/create_xml
+++ b/scripts/create_xml
@@ -10,6 +10,15 @@ fi
language=${1:-pl}
+# Required tools
+for tool in msgconv po2xml ; do
+ if [ -z "`which $tool`" ] ; then
+ echo "ERROR: $tool is required, please install it."
+ exit 1
+ fi
+done
+
+
BUILDDIR="./build"
if [ -z "$PO_USEBUILD" ] ; then
WORKDIR="./integrated"